Bug 241526 - databases/redis: Update to 5.0.6
Summary: databases/redis: Update to 5.0.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Sergey A. Osokin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-27 18:35 UTC by Yasuhiro KIMURA
Modified: 2019-11-27 20:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (osa)


Attachments
Patch file (39.48 KB, patch)
2019-10-27 18:35 UTC, Yasuhiro KIMURA
no flags Details | Diff
Updated patch file (816 bytes, patch)
2019-11-12 17:12 UTC, Yasuhiro KIMURA
no flags Details | Diff
databases/redis update to 5.x (32.28 KB, patch)
2019-11-14 14:43 UTC, Sergey A. Osokin
osa: maintainer-approval+
Details | Diff
databases/redis4 PKGNAMESUFFIX patch (519 bytes, patch)
2019-11-21 19:56 UTC, Sergey A. Osokin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro KIMURA 2019-10-27 18:35:57 UTC
Created attachment 208642 [details]
Patch file

* Update to 5.0.6.
* Copy databases/redis to databases/redis4 for users who want to stay in 4.0.
* Unbreak database/redis-devel and mark DEPRECATED.
* Regenerate patches to fix portlint warnings.

In order to apply attached patch please take following steps.

1. cd /usr/ports
2. svn copy databases/redis databases/redis4
3. svn patch /somewhere/path/to/databases_redis.patch
Comment 1 Sergey A. Osokin freebsd_committer 2019-11-05 21:42:08 UTC
Hi Yasuhiro-san,

hope you're doing well.

Thanks for sharing the patch.

I've just committed my update to 5.0.6 version.

My thoughts it's brilliant idea to move existing redis port to redis4.  However I'd prefer to move redis-devel to redis5 instead just to keep a room for upcoming redis-unstable or redis6 whatever comes first.

Please let me know if you have any questions.

Thanks.

--
Sergey
Comment 2 Yasuhiro KIMURA 2019-11-12 17:12:26 UTC
Created attachment 209108 [details]
Updated patch file

(In reply to Sergey A. Osokin from comment #1)

OK, I understand your preference. Then please commit attached patch with following steps.

1. cd /usr/ports
2. svn copy databases/redis-devel databases/redis5
3. svn patch /path/to/attached/patch

Best Regards.
Comment 3 Sergey A. Osokin freebsd_committer 2019-11-13 15:45:11 UTC
Yasuhiro-san,

since this change affects several ports, I've created the review for the issue, https://reviews.freebsd.org/D22336.
Comment 4 Sergey A. Osokin freebsd_committer 2019-11-14 14:43:35 UTC
Created attachment 209146 [details]
databases/redis update to 5.x
Comment 5 Antoine Brodin freebsd_committer 2019-11-14 15:08:34 UTC
Less than 10 ports in the ports tree depend on redis,  we can't do an exp-run for this.  Please test yourself.
Comment 6 Adam Weinberger freebsd_committer 2019-11-14 15:14:14 UTC
I'd asked Sergey to create this PR and request an exp-run.
Comment 7 commit-hook freebsd_committer 2019-11-21 19:28:39 UTC
A commit references this bug:

Author: osa
Date: Thu Nov 21 19:27:44 UTC 2019
New revision: 518107
URL: https://svnweb.freebsd.org/changeset/ports/518107

Log:
  Repocopy the databases/redis to the databases/redis4 to update
  the databases/redis port to the latest stable version, 5.0.6.

  PR:		241526
  Reviewed by:	portmgr (adamw)
  Approved by:	portmgr (adamw)
  Differential Revision:	https://reviews.freebsd.org/D22336

Changes:
  head/UPDATING
  head/databases/Makefile
  head/databases/p5-AnyEvent-Redis/Makefile
  head/databases/p5-Redis-Fast/Makefile
  head/databases/py-redis/Makefile
  head/databases/py-redis2/Makefile
  head/databases/redis/Makefile
  head/databases/redis/distinfo
  head/databases/redis/files/extra-patch-src-Makefile.lua
  head/databases/redis/files/extra-patch-src-Makefile.luajit
  head/databases/redis/files/patch-deps-Makefile
  head/databases/redis/files/patch-deps-hiredis-Makefile
  head/databases/redis/files/patch-deps-hiredis-net.c
  head/databases/redis/files/patch-deps-linenoise-Makefile
  head/databases/redis/files/patch-redis.conf
  head/databases/redis/files/patch-src-Makefile
  head/databases/redis/files/patch-src-config.h
  head/databases/redis/files/patch-src-lua_cjson.c
  head/databases/redis/files/patch-src-mkreleasehdr.sh
  head/databases/redis-devel/Makefile
  head/databases/redis4/
  head/databases/redis4/Makefile
  head/databases/rubygem-hiredis/Makefile
  head/devel/gitblit/Makefile
  head/devel/py-dj22-django-rq/Makefile
  head/irc/anope/Makefile
  head/net/opensips/Makefile
  head/net-im/rubygem-lita/Makefile
  head/security/openvas8-scanner/Makefile
  head/www/gitlab-ce/Makefile
Comment 8 Sergey A. Osokin freebsd_committer 2019-11-21 19:30:22 UTC
I've committed the updated version.  Thanks for the report!
Comment 9 Yasuhiro KIMURA 2019-11-21 19:41:18 UTC
(In reply to Sergey A. Osokin from comment #8)

ports r518107 causes conflict of PKGBASE between databases/redis and databases/redis4. So PKGNAMESUFFIX needs to be set to database/redis4.
Comment 10 Sergey A. Osokin freebsd_committer 2019-11-21 19:52:28 UTC
Re-open by the originator request.
Comment 11 Sergey A. Osokin freebsd_committer 2019-11-21 19:56:33 UTC
Created attachment 209327 [details]
databases/redis4 PKGNAMESUFFIX patch

Here is the patch.
Comment 12 Sergey A. Osokin freebsd_committer 2019-11-23 04:11:47 UTC
Hi Yasuhiro,

could you please provide an update.

Thanks.
Comment 13 Yasuhiro KIMURA 2019-11-23 09:56:16 UTC
(In reply to Sergey A. Osokin from comment #12)

Sorry, I misunderstand that PORTNAME of databases/redis4 is "redis". There is no problem in this port.
Comment 14 commit-hook freebsd_committer 2019-11-27 20:52:49 UTC
A commit references this bug:

Author: mfechner
Date: Wed Nov 27 20:52:22 UTC 2019
New revision: 518545
URL: https://svnweb.freebsd.org/changeset/ports/518545

Log:
  MFH: r517122 r518107 r518144 r518204 r518523

  www/gitlab-ce: bugfix release to 12.4.2.
  Changelog:
  https://about.gitlab.com/blog/2019/11/04/gitlab-12-4-2-released/

  Repocopy the databases/redis to the databases/redis4 to update
  the databases/redis port to the latest stable version, 5.0.6.

  PR:		241526
  Reviewed by:	portmgr (adamw)
  Approved by:	portmgr (adamw)
  Differential Revision:	https://reviews.freebsd.org/D22336

  www/gitlab-ce: Bugfix update to 12.4.3.
  Changelog:
  https://about.gitlab.com/blog/2019/11/18/gitlab-12-4-3-released/

  Update to 12.5.0.
  Changelog:
  https://about.gitlab.com/blog/2019/11/22/gitlab-12-5-released/

  Security update to 12.5.1.
  Changelog:
  https://about.gitlab.com/blog/2019/11/27/security-release-gitlab-12-5-1-released/

  Security:	1aa7a094-1147-11ea-b537-001b217b3468

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/UPDATING
  branches/2019Q4/databases/Makefile
  branches/2019Q4/databases/p5-AnyEvent-Redis/Makefile
  branches/2019Q4/databases/p5-Redis-Fast/Makefile
  branches/2019Q4/databases/py-redis/Makefile
  branches/2019Q4/databases/py-redis2/Makefile
  branches/2019Q4/databases/redis/Makefile
  branches/2019Q4/databases/redis/distinfo
  branches/2019Q4/databases/redis/files/extra-patch-src-Makefile.lua
  branches/2019Q4/databases/redis/files/extra-patch-src-Makefile.luajit
  branches/2019Q4/databases/redis/files/patch-deps-Makefile
  branches/2019Q4/databases/redis/files/patch-deps-hiredis-Makefile
  branches/2019Q4/databases/redis/files/patch-deps-hiredis-net.c
  branches/2019Q4/databases/redis/files/patch-deps-linenoise-Makefile
  branches/2019Q4/databases/redis/files/patch-redis.conf
  branches/2019Q4/databases/redis/files/patch-src-Makefile
  branches/2019Q4/databases/redis/files/patch-src-config.h
  branches/2019Q4/databases/redis/files/patch-src-lua_cjson.c
  branches/2019Q4/databases/redis/files/patch-src-mkreleasehdr.sh
  branches/2019Q4/databases/redis-devel/Makefile
  branches/2019Q4/databases/redis4/
  branches/2019Q4/databases/rubygem-hiredis/Makefile
  branches/2019Q4/devel/gitblit/Makefile
  branches/2019Q4/devel/py-dj22-django-rq/Makefile
  branches/2019Q4/irc/anope/Makefile
  branches/2019Q4/net/opensips/Makefile
  branches/2019Q4/net-im/rubygem-lita/Makefile
  branches/2019Q4/security/openvas8-scanner/Makefile
  branches/2019Q4/www/gitlab-ce/Makefile
  branches/2019Q4/www/gitlab-ce/distinfo
  branches/2019Q4/www/gitlab-ce/files/patch-Gemfile
  branches/2019Q4/www/gitlab-ce/pkg-message
  branches/2019Q4/www/gitlab-ce/pkg-plist